// Define the shape of the return type of the config function
export interface Config {
  _reload(): void;
  _show(): any;
  [key: string]: any; // Index signature for dynamic properties
}

// Declare the function that returns a Config object
export declare function createConfig(basePath?: string, envPrefix?: string): Config;

